# $Revision: 1.36 $, $Date: 2004/09/20 00:07:42 $
Summary:	Program for demonstrating the unsafeness of TCP
Summary(es):	Programa para demonstrar la inseguridad de TCP
Summary(pl):	Program do nasuchu pocze TCP/UDP/ICMP
Summary(pt_BR):	Um analisador de protocolos de rede
Name:		sniffit
Version:	0.3.7
Release:	9
Epoch:		1
License:	distributable
Group:		Networking/Utilities
Source0:	http://reptile.rug.ac.be/~coder/sniffit/files/%{name}.%{version}.beta.tar.gz
# Source0-md5:	2697cc18878480199fe6db1e61134d5a
Patch0:		%{name}-fixes.patch
Patch1:		%{name}-gcc33.patch
Patch2:		%{name}-am18.patch
URL:		http://reptile.rug.ac.be/~coder/sniffit/sniffit.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sniffit is a packet sniffer for TCP/UDP/ICMP packets. Sniffit is able
to give you very detailed technical info on these packets (SEQ, ACK,
TTL, Window, ...) but also packet contents in different formats (hex
or plain text, ...).

%description -l es
Sniffit es un sniffer de paquetes TCP/UDP/ICMP. Es capaz de dar
informacin tcnica muy detallada sobre esos paquetes (SEQ, ACK, TTL,
ventana, ...), igual que su contenido en varios formatos (hex, texto
plano, ...).

%description -l pl
Sniffit jest programem do podsuchu pakietw TCP/UDP/ICMP. Sniffit
jest w stanie poda Ci bardzo wiele informacji o tych pakietach (SEQ,
ACK, TTL, Okno, ...) a take ich zawarto w rnych formatach
(szesnastkowo lub w czystej postaci, ...).

%description -l pt_BR
Sniffit  um analisador de redes. Ele monitora o trfego de rede e
produz uma anlise compreensvel por humanos.

%prep
%setup -q -n %{name}.%{version}.beta
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd libpcap
cp -f /usr/share/automake/config.sub .
mv -f aclocal.m4 acinclude.m4
%{__aclocal}
%{__autoconf}
cd ..

cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{5,8}}

install sniffit $RPM_BUILD_ROOT%{_bindir}

install sniffit.5 $RPM_BUILD_ROOT%{_mandir}/man5
install sniffit.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc PLUGIN-HOWTO README.FIRST BETA-TESTING
%doc HISTORY sample_config_file sniffit-FAQ
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sniffit.spec,v $
Revision 1.36  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.35  2004/06/12 20:13:51  kali
- added am18.patch
- now builds, rel 8

Revision 1.34  2003/11/18 00:48:26  undefine
- copy config.sub from new automake to allow build on athlon

Revision 1.33  2003/11/17 23:45:50  undefine
- release 7 to rebuild with ac

Revision 1.32  2003/10/23 23:54:36  saq
- added _real_ es translations
- typo

Revision 1.31  2003/10/23 23:40:11  adamg
- removed bogus es description, which in fact was english

Revision 1.30  2003/08/14 22:17:46  ankry
- description formatting and other minor description fixes

Revision 1.29  2003/07/04 13:42:22  areq
- add gcc33.patch

Revision 1.28  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 06:26:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/11/29 23:35:20  ankry
- new %%doc

Revision 1.25  2002/10/09 13:14:47  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/05/21 23:14:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/15 07:10:42  kloczek
- release 6.

Revision 1.22  2002/05/14 21:15:10  maryush
-added missed % in description -l pt_BR :)

Revision 1.21  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:14:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/22 10:03:38  qboosh
- s/distrubutable/distributable/

Revision 1.17  2001/11/21 10:06:47  kloczek
- s/License: Free/License: distrubutable/
- added Epocj: 1 for allow upgrade from RH version,
- merged translations from CNV.

Revision 1.16  2001/11/21 08:51:24  saq
- release 5, rebuild

Revision 1.15  2001/09/30 10:08:00  qboosh
- BuildRequires: autoconf, automake

Revision 1.14  2001/09/29 22:27:27  blues
- release 4
- ac2.5 ready + some workarounds

Revision 1.13  2001/09/25 10:34:23  orzech
- s/Copyright/License/

Revision 1.12  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.11  2000/07/13 23:22:46  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.10  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.9  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.7  2000/01/17 17:59:34  kloczek
- added BuilRequires rules,
- build agains shared libpcap,
- added man pages for sniffit.

Revision 1.6  1999/11/27 08:24:55  kloczek
- added usubg %%configure macro,
- added full Source url,
- cosmetics.

Revision 1.5  1999/11/27 01:25:42  alchemyx
- changelog tag added

* Thu Jul 22 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- build for 1.3 PLD Linux

* Wed Oct 21 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.3.7-1d]
- build against 1.1 PLD,
- translation modified for pl,
- build from non root's account,
- major changes (follow the Linux PLD policy).

* Wed Jul 22 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- updated to 0.3.7.beta
- removed old patch
